Subject: bug#76186: 31.0.50; (recenter 0) sometimes does not recenter as expected

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Mar 2025 16:42:28 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 17 Mar 2025 13:19:33 +0100
> 
> Is there a difference between how MS-Windows and GNU/Linux create
> the initial GUI frame that could account for these observations?

I don't know if the difference explains what we see, but frame
creation on X and on Windows are worlds apart.  For starters, on
Windows we have a separate thread in Emacs that is dedicated to
sending, receiving, and processing messages to and from the MS-Windows
GUI system, something that on X is done in the context of the main
Emacs thread.